## TODO:
* ventReachDistance depending on connected power to the pump (NeoDampiel)
* add a special firework rocket to dispel clouds of sulfur emissions
* add carbon generation for Smoker block
* green cactus beacon beam cleans sky around (Ignacium_)
* add negative effects after sleeping in polluted chunk without protection
* implement efficiency enchantment for the tubes
* implement: pollution attracting hostile mobs (SkyCrafter0)
* sync aerometer in other player's hand
* add: support for Emerging Technology, ICBM - Classic, Rockhounding Mod: Chemistry, Matter Overdrive: Legacy Edition, Atomic Science (wiktorco)
* add: support for Modular Machinery (DownLoude)
* add: support for Ancient Warfare, Minecolonies and Betweenlands (Arkenor)
* add: support for Rustic Advanced Alchemic Condenser
* add: support for Immersive Energy: Boiler and Questionably Immersive: Coke Oven Battery (MorrisGamer0718)
* add: support for Galacticraft air system (dhgameryt)
* implement: stationary pollution detectors producing a redstone signal based on pollution level (Player_Athena)
* implement: ability to release pollution out of the vacuum bag (shee3py, xeno2100, emanuele_246gi)
* implement: new mechanics for replacing filters in a respirator, with a simple GUI instead of using an anvil (monsterpants)
* implement: new mechanics for replacing filters in a vacuum bag, with ability to use a chest as a storage (rolandecoy)

add different reach distance for each vacuum tube
change snow texture during acid rain
fix filter frame's dirty state not being shown when no filter installed
fix filter frame's waterlogged state resetting when changing frame content
fix suffocation when staying in pollutant block

add support for CharcoalPit
add support for Environmental Kiln (heubest)
add support for No Tree Punching (wilbowma)
add support for Ballistix (TheCopperWarrior, benjig_20)
add support for FactoriOres (foxy_grandpa06)
add support for Powah (JustAWOIII)
add support for Extreme Reactors (yellorium fuel) (Mani_PIays, albertosaurio65)
add support for Extra Boats(Furnace Boat) (DMN_CS)
add support for Beyond Earth (rabbittechteam, TakeruDavis)
add support for Mekanism Generators
add support for Furnace MK2, Simple Kiln and Better Furnaces Reforged (TakeruDavis)

?add pollutant argument to immune entities
?add duration argument to living impacts
add config setting to turn on/off all emitters at the same time (Seth0067)

add Methane as a custom pollutant (emanuele_246gi)
oceans and corals absorb CO2 (emanuele_246gi)
every mob that burns at the sunlight, will not if there is a lot of pollution above them (emanuele_246gi)
utilize a tint system to change block appearance depending on pollution level (emanuele_246gi)
add entity argument to hostile/living impacts (optmisticnihilist)
reimplement support for Dynamic Trees
fix gas entity not spreading horizontally in multi-block chimney
make the blocks of pollution visible only if a respirator is equipped (SSKirillSS, Xylotep)
implement: turning dropped items into pollution (KittyOfPathos, D3nnis3n)
add compatibility with Curious (gardenapple and IkkiKomori)

implement: pollution reduction in covered places, caves and shelters (Katapow99)
add a description of the gas explosion mechanics
improve explosion risk indicator (depend on the block being hovered on)
add the maxReachDistance setting for the environmental impacts
add carpets as a source of dust emissions when jumping on them (disabled by default)
rework and rename Pump settings (invertedRedstoneSignal -> requiresRedstoneSignal, ForgeEnergy.enabled -> requiresEnergy)
implement possibility to repaint a Filter Frame (rafaelwatchgamer, KatoNamus)
add ability to exclude fluids from polluted fluids list (parse "-" prefix in FluidBlockStateList and exclude Beyond Earth oil) (Sephiroth991)
fix replacing polluted water with another block removes pollution
add poisonous effects on bottle filled with polluted water (beanz7172)
increased hostile mob spawning rate in polluted areas (CoolPJ99)

## 8.4.0.0...
* updated to Minecraft 1.20.4
* __requires: ForgeEndertech 11.4.0.0 or above__

## 8.2.1.0...
+ added: support for Create: The Factory Must Grow (thanks to albertosaurio65 and Liztalpedal)
+ added: support for Caupona (thanks to damikdevil)
+ added: support for Cold Sweat
+ added: support for Cooking For Blockheads
+ added: support for Jumbo Furnace (thanks to miner_239)
+ added: support for Nether's Delight (thanks to sokir27970)
+ added: support for Macaw's Lights and Lamps (thanks to sokir27970)
+ added: missing fuel config for dried kelp block (thanks to jovial_noyce8132856)
* fixed: enabling/disabling pollution sources in the main config being not applied immediately
+ fixed: interaction of polluted water with lava (thanks to smearfo)
+ fixed: pollution being exhausted to the side, even when there's a passable block above the emitter
* __requires: ForgeEndertech 11.2.0.0 or above__

## 8.2.0.0
* updated to Minecraft 1.20.2
* __requires: ForgeEndertech 11.2.0.0 or above__

## 8.1.2.0
+ added: support for Create: Diesel Generators (thanks to tomdill)
+ added: support for Handcrafted Oven (thanks to pnaabnloo)
+ added: support for Chipped torches
+ added: support for Magnum Torch (thanks to SigmaFlame)
* fixed: aquatic creatures spawning in polluted water (thanks to beanz7172)
* fixed: pollution breaking Create contraptions when getting inside them (thanks to tomdill)
* fixed: compatibility with Extractinator
* __requires: ForgeEndertech 11.1.0.0 or above__

## 8.1.1.0
+ added: ability to read the fullness of the Filter Frame using a redstone comparator (thanks to high_cori871643)
+ added: separate configs for emissions from burning animals/mobs/players (thanks to DrunkenDanceMatBabby)
+ added: config option to control smog density (thanks to Kruzemeister)
+ added: config option to gradually dissipate pollution that exceeds the critical amount limit (thanks to agent_aria)
+ added: uk_ua localization (thanks to gigantic_hugle479774)
+ added: support for Xannosz's Better Minecarts (thanks to SigmaFlame)
+ added: support for Extractinator (thanks to hiccupwarrior89)
* updated: support for Simple Planes
* fixed: incorrect fog color underwater causing flickering (thanks to drkstrwilliams)
* fixed: incorrect config names for pollution sources (delete old configs in the config/adpother/Sources folder)
* fixed: Filter Frame not updating its waterlogged state correctly
* fixed: inability to use water purifier with invertedRedstoneSignal enabled (thanks to rafaelwatchgamer)
* __requires: ForgeEndertech 11.1.0.0 or above__

## 8.1.0.0
* updated to Minecraft 1.20.1
* __requires: ForgeEndertech 11.1.0.0 or above__

## 8.0.0.0
* updated to Minecraft 1.20
* fixed: fire and lava being not recognized as ignition sources (thanks to smearfo)
* __requires: ForgeEndertech 11.0.0.0 or above__

## 7.2.1.0
+ implemented: pre-generated pollution clouds with individual settings for each biome (thanks to dinsorsoos, AtheoAng3l0_New, tashyii, geza3D, breengrub2415, alexandru20111 and zpec7re)
+ added: ability to extract dust directly from an emitter and pass it through the ventilation system (thanks to green8751)
+ added: config option to control when pollutant affects chunk pollution level (thanks to golrith)
* improved: tile emission logic by prioritizing output sides based on pollutant density
* improved: gas entity motion behavior to prevent stacking into pillars
* improved: gas entity limiter to limit the number of entities per chunk rather than globally (thanks to Homesickguy)
* fixed: gas entity passing through solid block sides
* fixed: gas motion issues when several gas entities came out of the chimney at different speeds
* fixed: missing slime texture for the Vacuum Bag
* __requires: ForgeEndertech 10.2.1.0 or above__

## 7.2.0.0
* updated to Minecraft 1.19.4
+ added: more config options to control gas explosions (thanks to proxwian)
+ added: command to reload biome configs
* fixed: a client crash with java.lang.IllegalArgumentException: Color parameter outside of expected range (thanks to doofusmcdingus)
* fixed: emissions ignoring the PlayerEating setting (thanks to GrandeMalum)
* fixed: crushers being recognized as an ignition source causing the dust accumulated around to explode (thanks to bodenpflanze)
* fixed: pollution level being not affected by pollutants placed during world generation
* __requires: ForgeEndertech 10.2.0.0 or above__

## 7.1.0.0
* updated to Minecraft 1.19.3
* __requires: ForgeEndertech 10.1.0.0 or above__

## 7.0.7.0
+ added: Chinese localization (thanks to kuailexiaobao)
+ fixed: z-fighting when gas entity is inside a chimney
* __requires: ForgeEndertech 10.0.5.0 or above__

## 7.0.6.0
* improved: water pollution mechanics
+ implemented: config system for polluting fluids (config/adpother/Impacts/fluids.cfg) (thanks to tequilazaku)
+ added: ability of polluting fluids to affect underwater plants and blocks (configurable) (thanks to rabbittechteam)
+ added: ability of polluted water to spread out across the water driven by the wind (configurable)
+ added: command to log all polluting fluids
* __requires: ForgeEndertech 10.0.5.0 or above__

## 7.0.5.0
+ added: by-product creation progress bar to the filter frame
+ added: possibility to extract by-products out of the filter frame from any side (thanks to Hexidecimark, Gliese_832_c, ApexAlphaWulf, Its_Nix_ and HonzaVinCZ)
* updated: Immersive Engineering compat (thanks to Panikk1ng)
* filter frame now generates a redstone signal only if connected directly to the pump
* fixed: shift-click not working properly in the filter frame inventory (thanks to Paril101)
* fixed: partial wear of the filter material being not saved between sessions
* __requires: ForgeEndertech 10.0.5.0 or above__

## 7.0.4.0
+ implemented: ability to specify different effects on the same block depending on pollution level (thanks to rabbittechteam)
+ implemented: ability to use a pump pipe as a chimney
+ added: config setting to define how gas explosions affect surrounding blocks (thanks to babacon88)
* __requires: ForgeEndertech 10.0.5.0 or above__

## 7.0.3.0
* updated to Minecraft 1.19.2
* __requires: ForgeEndertech 10.0.4.0 or above__

## 7.0.2.0
* updated to breaking changes in Forge 41.0.94
* __requires: ForgeEndertech 10.0.3.0 or above__ 

## 7.0.1.0
* updated to and requires Forge 41.0.64+
* changed: default filter by-products to dyes
* __requires: ForgeEndertech 10.0.2.0 or above__

## 7.0.0.0
* updated to Minecraft 1.19
+ added: support for Configured
+ added: command _/pother locate configs_ to open the mod config folder
* fixed: immune entity parser looking for comma delimiter instead of "->" (thanks to ppaawwll)
* improved: configs by moving simple settings to the toml files
* __requires: ForgeEndertech 10.0.0.0 or above__

## 6.0.2.1
* fixed: spilled oil destroying bonemealable blocks (thanks to emanuele_246gi, virtualgaming3, desht_08)
* __requires: ForgeEndertech 9.0.2.0 or above__

## 6.0.2.0
* updated: pathfinding algorithms to work with the new vent system implemented in Advanced Chimneys 8.2.0.0
+ added: support for Crossroads MC (thanks to Technomancer_isTaken)
* fixed: gas entities not colliding with each other
* fixed: some impacts not working due to referencing old Grass Path instead of Dirt Path (delete old impacts/environment.cfg) (thanks to The_Arcanian)
* fixed: campfires and wall torches not producing emissions (thanks to TheGoldenPL02)
* __requires: ForgeEndertech 9.0.2.0 or above__

## 6.0.1.0
+ added: support for RFTools Power (thanks to emanuele_246gi)
+ added: particle effects when pollutants are captured by the filter
+ implemented: much smoother fog density and color change (thanks to rabbittechteam)
* improved: performance by pumping filters without unnecessary spawning of pollution entities
* fixed: AnimalFeeding setting in the main config not working correctly (thanks to oriikami)
* fixed: server command for reloading main config not working
* fixed: getting incorrect filter capacity when there was only one item in the filter frame (thanks to The_Arcanian)
* __requires: ForgeEndertech 9.0.1.0 or above__ 

## 6.0.0.0
* updated to Minecraft 1.18.2
* __requires: ForgeEndertech 9.0.0.0 or above__

## 5.0.2.0
+ added: support for Regrowth (thanks to emanuele_246gi)
+ added: command for logging animal food consumption
* fixed: compatibility with Tinkers' Construct (thanks to rabbittechteam)
* fixed: the Altitude setting in the main config not working correctly (thanks to darkosto)
* __requires: ForgeEndertech 8.0.1.0 or above__

## 5.0.1.0
+ added: Czech translation (thanks to HonzaVinCZ)
+ added: compatibility with Ultimate Car Mod (thanks to DMN_CS and emanuele_246gi)
* fixed: possible periodic stuttering when using Aerometer (thanks to UnnaturalFlavors)
* fixed: lava not producing emissions when used in a vanilla furnace (thanks to rabbittechteam)
* fixed: compatibility with Create Crafts & Additions (thanks to satanic_gecko)
* fixed: some liquid fuel tags (ex. #forge:plant_oil -> #forge:plantoil, etc.) 
* __requires: ForgeEndertech 8.0.1.0 or above__

## 5.0.0.0
* updated to Minecraft 1.18.1
* __requires: ForgeEndertech 8.0.0.0 or above__

## 4.1.3.0
+ added: support for MrCrayfish's Vehicle Mod (thanks to DMN_CS, emanuele_246gi and JWGStudios)
+ added: support for Immersive Petroleum Motorboat
+ added: support for Iron Furnaces (thanks to emanuele_246gi)
* __requires: ForgeEndertech 7.2.2.0 or above__

## 4.1.2.0
+ added: support for Brick Furnace (thanks to proceduraldialectics)
+ added: emissions from smelting in vanilla furnace
* fixed: breaking of tile emissions when teleporting (thanks to emanuele_246gi)
* __requires: ForgeEndertech 7.2.1.0 or above__

## 4.1.1.0
+ added: command suggestions
+ added: support for Create auto mining machine (thanks to SpringerNocti)
+ added: support for Create Crafts & Additions (thanks to kaktuszsok)
+ added: support for Futurepack (thanks to emanuele_246gi)
* fixed: too early initialization of biome configs (thanks to arketecmc)
* __requires: ForgeEndertech 7.2.1.0 or above__

## 4.1.0.0
* updated to Forge 36.2.0
* migrated to Mojang mappings
+ implemented: new config system to control environmental impacts of each pollutant (see the contents of the config/adpother/Impacts folder)
+ implemented: ability to eat and drink while wearing a respirator after combining it with a hopper in an anvil (thanks to durpman_)
+ added:  _/pother reload impacts_  command
+ added: 'allowsEating' config setting for respirators
+ added: ability to get sulfur negative effects without acid rain (thanks to FoodDog and emanuele_246gi)
* moved: 'globalImmuneEntities' setting from the main config to the Impacts
- removed: 'customReplacements', 'doesBonemealEffect', 'immuneEntities', 'acidRainThreshold', 'canAffect...' settings in favor of the new 'Environmental Impacts'
- removed: questionable 'absorbtionChance' setting
- removed: emissions from blocks broken with Silk Touch (thanks to PietroSavonaro)
* improved: carbon behavior (it bonemeals grass blocks only when it rains to avoid annoying rapid grass growth)
* fixed: weird behavior of flying emissions when bumping into each other
* fixed: carbon not killing leaves on direct contact, allowing cheaty filtering
* fixed: blocks behind a filter frame not rendering (thanks to impaledberrys)
* done: lots of refactorings
* __it is highly recommended to regenerate configs in the Pollutants folder to get rid of obsolete settings__
* __requires: ForgeEndertech 7.2.0.0 or above__

## 4.0.5.0
+ added: support for Create (thanks to mr_jakob99, Vuldren, rhyanguy1, GryphonTrainer and boomberisalreadytaken)
+ added: config setting to control emissions from burnt items
+ implemented: emissions from burnt dropped items (thanks to hoovysimulator2)
* __requires: ForgeEndertech 7.1.0.0 or above__

## 4.0.4.1
* fixed: possible crashes when carbon bonemeals grass blocks from bugged mods (thanks to MrAwesomePhantom)
* __requires: ForgeEndertech 7.1.0.0 or above__

## 4.0.4.0
+ added: support for Silent's Mechanisms (thanks to JustAWOIII)
+ implemented: configurable emissions from hostile mob deaths (thanks to tyon2006)
* fixed: possible server lag when updating entities (thanks to TheCopperWarrior)
* fixed: possible server crash with java.util.ConcurrentModificationException (thanks to TachyonGMZ)
* __requires: ForgeEndertech 7.1.0.0 or above__

## 4.0.3.0
+ added: support for Realistic Torches (thanks to pwigary)
+ added: support for Industrial Foregoing (thanks to emanuele_246gi)
+ added: support for Simple Planes (thanks to DMN_CS)
+ added: support for lava as a fuel for vanilla furnace
* __requires: ForgeEndertech 7.1.0.0 or above__

## 4.0.2.0
* changed: behavior of stuck pollution entities (they drop as items after 5 minutes instead of disappearing) (thanks to Yorple)
+ reimplemented: support for Tinkers Construct (thanks to DMN_CS)
+ reimplemented: support for Immersive Railroading
+ added: ability to specify which animals produce pollution upon their death (thanks to tyon2006)
+ added: */pother reload sources* command
* improved: */pother identify tile* command to show tile entity class name (thanks to kuba4414)
* fixed: Vacuum Tube not interacting with pollution entities
* __requires: ForgeEndertech 7.1.0.0 or above__

## 4.0.1.0
* changed: measuring of liquid fuel emissions from millibuckets to buckets (DELETE old adpother/Fuels/fluid$... configs)
* rebalanced: all liquid fuels because of excessive emissions (thanks to HonzaVinCZ)
+ added: try..catch wrapper for IEmitter.isActive method to prevent game from crashing when checking bugged tiles
+ added: support for Immersive Petroleum Portable Generator (thanks to sub2lojackclanyt)
+ added: support for Thermal Expansion Dynamos (thanks to maggeemooTV)
+ added: support for FastFurnace (thanks to RiplinerGames)
+ added: support for PneumaticCraft: Repressurized Air Compressor (thanks to DMN_CS)
* improved: */pother identify fluid/fuel* commands to work with held buckets 
* fixed: losing of pollution data when loading a world with a different set of mods
* fixed: incorrect removing of pollution data for unloaded chunks
* fixed: emissions from liquid fuels not taking into account the amount of fuel
* fixed: (hopefully) game freezing during world generation (thanks to oriikami, frenalotus and DMN_CS)
* __requires: ForgeEndertech 7.1.0.0 or above__

## 4.0.0.1
* fixed: a crash on dedicated server startup (thanks to Malsharaan)  

## 4.0.0.0
* ported to Minecraft 1.16.4/1.16.5
+ added: support for Blast Furnace and Smoker
+ added: support for Campfire and Soul Campfire
+ added: support for Soul Torches
+ reimplemented: support for Immersive Engineering
+ reimplemented: support for Mekanism and Mekanism Generators (thanks to sub2lojackclanyt)
+ implemented: a lot of new commands for testing and debugging (/pother ...)
+ implemented: ability to reload configs without restarting the game (/pother reload ...)
+ implemented: parameters in the 'Emission' group acting as fuel consumption factors for the hardcoded fuel-based emitters (thanks to active_films)
+ implemented: emissions from dropped torches
* fixed: inability to interact with an object if there was a gas block in the way (thanks to DarkYuan and idontknowwhoiammate)
* fixed: filter frame's content not being dropped in creative mode
* fixed: CropGrowEvent.Post not being fired after a crop was successfully bonemealed by carbon
* fixed: the relatedBlocks set losing some elements due to using the unmodifiableSet wrapper
* fixed: Vacuum Tube sounds not playing on clients
* __requires: ForgeEndertech 7.1.0.0 or above__

## 1.2.13.0
+ implemented: accumulated gases being able to explode in the presence of an ignition source (thanks to Foreck1)
+ implemented: optional emissions from netherrack fire (see the 'infiniteSourceOnly' parameter in Emitters/minecraft$fire.cfg) (thanks to shweshipu)
+ added: explosion risk indicator (red triangle) for Aerometer 
+ added: 'lowerExplosiveLimit' config parameter for each gaseous pollutant
+ added: 'maxExplosionChainLength' global config parameter
* moved: all pollutant properties from a constructor to a separate builder
* __requires: ForgeEndertech 4.5.5.0 or above__

## 1.2.12.0
+ added: global config parameter to extend altitude limits and improve compatibility with Cubic Chunks (thanks to KubiRemPL)
* fixed: possible compatibility issue with Immersive Railroading (thanks to yosif_man87)
* fixed: direct negative effects being not applied in places with zero global pollution (thanks to Foreck1)
* __requires: ForgeEndertech 4.5.4.0 or above__

## 1.2.11.0
+ added: a global list of entities immune to all pollutants (thanks to SandwichHorror)
* __requires: ForgeEndertech 4.5.4.0 or above__

## 1.2.10.0
+ added: 'doesBonemealEffect' config parameter for custom pollutants (thanks to tytolll)
+ added: 'NegativeEffects:hostile' config parameter to specify effects on hostile mobs (thanks to stratosteam) 
* updated: support for Immersive Vehicles (thanks to idontknowwhoiammate)
* __requires: ForgeEndertech 4.5.4.0 or above__

## 1.2.9.0
* added: support for Heat and Climate (thanks to RVAkt and gato_borrachon)
* improved: support for TerraFirmaCraft - The Next Generation (thanks to lixxerius)
* improved: interaction of polluted water with vanilla water streams (thanks to tytolll)
* __requires: ForgeEndertech 4.5.4.0 or above__

## 1.2.8.0
+ added: support for TerraFirmaCraft - The Next Generation (thanks to lixxerius)
* __requires: ForgeEndertech 4.5.4.0 or above__

## 1.2.7.1
* fixed: a crash due to compatibility issues with the latest version of Embers Rekindled (thanks to tyon2006) 
* __requires: ForgeEndertech 4.5.3.0 or above__

## 1.2.7.0
+ added: support for Advanced Rocketry (thanks to keetarin, MarkOfTheBeast1427 and DownLoude)
+ added: support for Techguns (thanks to wiktorco)
+ added: Russian translation (thanks to neoner_)
* __requires: ForgeEndertech 4.5.3.0 or above__

## 1.2.6.1
* fixed: a crash due to compatibility issues with the latest version of MrCrayfish's Vehicle Mod (thanks to neoner_)
* __requires: ForgeEndertech 4.5.2.0 or above__

## 1.2.6.0
+ added: support for IC2 Geothermal and Semifluid generators (thanks to arlind94)
+ added: support for Realistic Block Physics (thanks to ej1234567891011)
* fixed: resetting the fullness of partially used filter material when removing it from the filter slot (thanks to golrith)
* __requires: ForgeEndertech 4.5.2.0 or above__

## 1.2.5.0
+ implemented: water purifier that can be built from a filter block connected to a pump (thanks to TheXengeance and JumboTheSunBro)
+ added: support for Factory0-Resources (thanks to golrith)
+ added: config parameters for water purifier  
* renamed: config category "Purifier" to "AirPurifier"
* __requires: ForgeEndertech 4.5.2.0 or above__

## 1.2.4.0
+ added: support for MrCrayfish's Vehicle Mod (thanks to EternalShadow17)
+ added: support for Controlled Burn (thanks to ArcherDante)
* updated: compatibility with the latest version of Immersive Railroading (thanks to Nico20012015)
* __requires: ForgeEndertech 4.5.2.0 or above__

## 1.2.3.0
+ added: support for more vanilla items used as fuel
+ added: support for More Fuels Mod (thanks to rryyas)
+ added: support for Forestry Charcoal Pit (thanks to StormbringerGT and BeaterHouba)
+ implemented: automatic calculation of emissions for unconfigured fuel depending on its burning time
* rebalanced: fuel configs for vanilla items (delete old fuel configs)
* fixed: acid rain being not rendered because of getting incorrect pollution values
* __requires: ForgeEndertech 4.5.2.0 or above__

## 1.2.2.0
+ implemented: emissions from smelting (Vanilla Furnace, FastFurnace and Furnace Overhaul are supported) (thanks to Caedus_Renegade) 
+ added: support for Omega Craft (thanks to active_films)
+ added: emissions from smelting rotten flesh (thanks to rryyas)
+ added: "canSuckIntoInventory" config parameter for Vacuum Tube
* fixed: pollution being able to be destroyed by dropping it into the lava (thanks to Hydridity)
* changed: Vacuum Tube default behavior (without a bag, it sucks up pollution and exhausts it into the air instead of the player's inventory)
* __requires: ForgeEndertech 4.5.2.0 or above__

## 1.2.1.1
* fixed: configs for the latest version of Industrial Craft (thanks to shengjie) (!delete old Emitters/ic2$_common_.cfg)
* fixed: an issue where emissions stopped flying on empty dedicated servers, blocking ventilation systems and causing explosions (thanks to businfu)
* fixed: a crash due to compatibility issues with Actually Additions (thanks to fireclaw20)
* improved: compatibility with TComplement High Oven (thanks to BeaterHouba)
* __requires: ForgeEndertech 4.5.2.0 or above__

## 1.2.1.0
+ added: support for Zen: Foundry (thanks to jipen93121) 
* fixed: pollutant blocks absorbing explosions (thansk to ilyakogte5) (delete old configs in the Pollutants folder or set the "resistance" parameter of each pollutant to 0)
* __requires: ForgeEndertech 4.5.2.0 or above__

## 1.2.0.0
* implemented: air purification mechanic to create local safe zones in polluted area (thanks to Festro33, Tech_Rabbit22 and winddbourne)
* implemented: an air purifier that can be built from a filter block connected to a pump 
* implemented: much more accurate measuring and smooth changing of pollution level (thanks to TFlippy and businfu)
+ added: "Purifier" category in filter.cfg to control the effective and maximum radius of the purifier
+ added: support for Immersive Technology (delete old Emitters/immersivetech$* configs) (thanks to tgstyle0)
+ added: support for Kitsu's ForgeCraft (thanks to official_galactic_gamer)
* fixed: Gregtech CE Solar Boiler producing pollution (thanks to ThatMechGuy)
* fixed: multiblock emitters larger than 3 * 5 * 3 blocks not working correctly (thanks to NullMagic1)
* __requires: ForgeEndertech 4.5.1.0 or above__ 

## 1.1.2.0
+ added: pollution from burnt tree leaves and tall grass (thanks to Tech_Rabbit22)
+ added: support for Rockhounding: Ore Tiers (thanks to Alaberti and ThatMechGuy)
+ added: support for Vic's Modern Warfare M40 Gas Mask (thanks to pandapentium94)
+ added: support for Tinkers' Complement High Oven
* fixed: Tinkers' Construct Smeltery and Furnace producing pollution after smelting was finished (delete old Emitters/tconstruct$* configs) (thanks to nephatrine and ThatMechGuy)
* fixed: Tinkers' Complement Melter producing pollution after smelting was finished (delete old Emitters/tcomplement$* configs) (thanks to erzengel_des_lichtes) 
* __requires: ForgeEndertech 4.5.0.0 or above__

## 1.1.1.0
+ added: French translation (thanks to Poppi_YT)
+ added: support for Serene Seasons (thanks to KarlosGeek and pandapentium94)
* updated: Immersive Vehicles support (thanks to seba0456pl)
* __requires: ForgeEndertech 4.5.0.0 or above__

## 1.1.0.0
+ added: ability to add custom pollutants with their own configs and textures (see the example of nitrogen) (thanks to Poppi_YT)
+ added: ability to define multiple filter materials and byproducts for each pollutant via configs (thanks to RVAkt and monsterpants)
+ added: "filterReplacingExpGain" config parameter to control the experience gain after replacing the filter material in a respirator or a vacuum bag (thanks to StormbringerGT and monsterpants)
+ added: support for Misty World Respirator (thanks to monsterpants)
* moved: "FilterMaterial" config category of each pollutant to "FilterMaterials" string list
* done: lots of refactoring
* __requires: ForgeEndertech 4.5.0.0 or above__ 

## 1.0.30.0
+ added: "pollutionThreshold" argument to "customReplacements" list in the sulfur.cfg (thanks to proceduraldialectics)
+ added: "immuneEntities" config parameter for all pollutants to set entities fully or partially immune to pollution
+ added: missing fuel config for Oak Door (wooden_door.cfg) (thanks to Streetwind)
+ added: carpets and trapdoors as passable blocks for pollution (delete the passableBlocks section in old configs)
+ added: support for PneumaticCraft: Repressurized Air Compressor
* __requires: ForgeEndertech 4.5.0.0 or above__

## 1.0.29.0
+ added: support for Burning Torches
+ added: ability to hit entities through a pollution block
* changed: pushing mechanics (emissions can now be pushed only with an empty hand)
* fixed: blocks not being destroyed on server when got hit through a pollution block (thanks to proceduraldialectics)
* fixed: particles not being shown when hitting a block through a pollution block
* __requires: ForgeEndertech 4.4.26.0 or above__

## 1.0.28.0
+ added: optional Forge Energy support for the filters (thanks to crystalthetwitchy)
+ added: missing support for Railcraft boilers (thanks to LukaPix)
* fixed: inability to hit a block when pollution was in the way (thanks to floral_qua_floral)
* __requires: ForgeEndertech 4.4.25.0 or above__

## 1.0.27.1
* fixed: a crash because of broken compatibility with TechReborn (thanks to SSKirillSS)

## 1.0.27.0
+ implemented: ability to automate filters using the hoppers (thanks to Keyedrin)
* changed: filter behavior (now recognized as a chimney and can be used accordingly)
* fixed: redstone signal from a filter block not updating correctly
* fixed: filter block contents not synchronizing correctly for rendering on clients
* fixed: pollution not passing through the vents
* __requires: updating of Advanced Chimneys to version 3.5.7.0 or above to prevent crashes__
* __requires: ForgeEndertech 4.4.24.0 or above__

## 1.0.26.1
* fixed: a server crash with NoClassDefFoundError (thanks to nephatrine)

## 1.0.26.0
+ implemented: new mechanics for cleaning filter blocks with a GUI (thanks to StormbringerGT)
+ implemented: a new render for filter blocks that shows their contents
+ added: ability to receive useful materials as a byproduct of filter block working (thanks to MarkOfTheBeast1427 and pdelta41) 
+ added: new config group "filterMaterial" for each pollutant to change filter material, capacity and byproduct
+ added: a value of "concentrationAltitude" (256) at which pollution does not accumulate in a chunk (thanks floral_qua_floral)
+ added: dust emissions for Thermal Expansion Sawmill (thanks to nephatrine)
* changed: crafting recipe for the filter block (no longer requires wool) (delete old Blocks/filter.cfg)
* moved: "capacity" parameter from filter config to pollutant -> filterMaterial 
* fixed: a rare crash when emissions appear behind a living entity, getting into an unloaded area (thanks to Keyedrin)
* __requires: ForgeEndertech 4.4.23.0 or above__

## 1.0.25.0
+ added: support for Metallurgy 4: Reforged (thanks to StormbringerGT)
* fixed: incorrect light opacity value for a filter block
* __requires: ForgeEndertech 4.4.22.2 or above__

## 1.0.24.0
+ added: support for Dumpster Diving (thanks to StormbringerGT)
+ added: missing configs for methanol and biodiesel from Ultimate Car Mod
+ implemented: configurable emissions from breaking certain blocks (thanks to d3rton, proceduraldialectics and StormbringerGT)
* __requires: ForgeEndertech 4.4.22.1 or above__

## 1.0.23.0
+ added: support for Ultimate Car Mod (thanks to nightscale5755)
+ added: ability to use IC2 Scuba Helmet and Nuclearcraft Hazmat Headwear as respirators (thanks to almaember1098)
 * __requires: ForgeEndertech 4.4.22.1 or above__

## 1.0.22.0
+ added: missing support for the Portable Generator from Immersive Petroleum (thanks to StormbringerGT)
+ added: support for the Smelter from Deep Resonance (thanks to Ryo_Pasternak)
+ added: support for ViesCraft - Airships! (thanks to cybergod47)
* __requires: ForgeEndertech 4.4.22.1 or above__

## 1.0.21.1
* fixed: feeding animals not emitting pollution (thanks to cybergod47)
* __requires: ForgeEndertech 4.4.22.1 or above__ 

## 1.0.21.0
+ added: support for Pyrotech (thanks to xorbah)
* fixed: incorrect processing of lava consumption as a fuel (broken emissions from Tinkers' Smeltery)
* __requires: ForgeEndertech 4.4.21.1 or above__

## 1.0.20.1
* fixed: filters losing sulfur percentage after breaking and replacing (thanks to IronPiston)
* fixed: filters keeping looking dirty after cleaning on anvil
* __requires: ForgeEndertech 4.4.21.1 or above__

## 1.0.20.0
+ added: support for Magneticraft (thanks to pkyd)
+ added: support for Furnace Overhaul (thanks to Poke_Benji)
* __requires: ForgeEndertech 4.4.21.0 or above__ 

## 1.0.19.0
+ added: missing support for gas mask from Mekanism
+ added: support for Engineer's Decor (thanks to jiluan)
* fixed: an issue that caused Mekanism generators to explode (connected transmitters were not recognized as passable blocks) (thanks to KidBrine) 
* improved: detection of passable blocks
* improved: formatting of messages returned by in-game commands
* __requires: ForgeEndertech 4.4.20.1 or above__

## 1.0.18.0
+ added: support for engines from Diamond Warriors Team IV Content Pack [MTS]
+ added: support for engines from UNU Parts Pack [MTS] (thanks to seba0456pl)
+ added: slider to config GUI to control emissions from Immersive Vehicles (MTS)
+ added: support for Furnace Generator from Lucraft Core (thanks to RPlatinumStar)
* __requires: ForgeEndertech 4.4.20.1 or above__

## 1.0.17.0
+ added: support for Future MC (thanks to inonednthedragon)
+ added: support for Natura (thanks to lictor000)
* __requires: ForgeEndertech 4.4.20.0 or above__

## 1.0.16.0
+ implemented: the ability to config emissions from eating certain food by defining it as a new fuel (thanks to d3rton)
* improved: pollution from living entities (emissions are now generated behind the entity to prevent its immediate poisoning) (thanks to Arkenor)
* __requires: ForgeEndertech 4.4.20.0 or above__

## 1.0.15.0
+ added: support for FastFurnace (thanks to sleepysukima and proceduraldialectics)
+ added: support for Steam Engine from Embers Rekindled (thanks to proceduraldialectics)
* __requires: ForgeEndertech 4.4.20.0 or above__

## 1.0.14.0
+ added: support for Atum 2 (thanks to Arkenor)
+ added: support for Embers' Melter
* improved: support for Ember Bore from Embers Rekindled (delete old embers$ember_bore.cfg) (thanks to proceduraldialectics)
* improved: support for Tinkers' Construct multi-block structures
* fixed: "relatedBlocks" parameter not working with hard-coded emitters
* __requires: ForgeEndertech 4.4.19.1 or above__

## 1.0.13.0
+ added: support for Galacticraft (thanks to keetarin and Supereverything01)
+ added: support for Coal Generator from Vulpes lib
* __requires: ForgeEndertech 4.4.19.0 or above__

## 1.0.12.0
+ added: support for PneumaticCraft: Repressurized (thanks to Wideblaze)
+ added: missing support for Coke Oven Advanced from Immersive Tech (thanks to mossy_head)
+ added: missing support for Motorboat from Immersive Petroleum (thanks to proceduraldialectics)
+ added: support for Ember Bore from Embers Rekindled
+ added: "relatedBlocks" parameter to define additional blocks of a multi-block emitter
* done: a lot of refactoring
* __requires: ForgeEndertech 4.4.18.0 or above__

## 1.0.11.0
+ added: support for Draconic Evolution Generator (thanks to Wideblaze)
* __requires: ForgeEndertech 4.4.17.0 or above__

## 1.0.10.0
+ added: missing config for Railcraft Red Coke Oven
* fixed: spawning pollution inside of Railcraft multiblock emitters, leading to their breakdown (thanks to Nexusuxen1)
* fixed: using deprecated IPollutant.canPassThrough method
* __requires: ForgeEndertech 4.4.17.0 or above__

## 1.0.9.0
+ added: "immuneBlocks" config parameter to set blocks fully immune to pollution
+ implemented: compatibility of acid rain visualization with Weather2 (thanks to xorbah)
* improved: support for Immersive Engineering's coke oven
* fixed: deleting IC2 machines by dust, as they were recognized as plants (thanks to Nexusuxen1)
* __requires: ForgeEndertech 4.4.16.0 or above__

## 1.0.8.0
+ implemented: acid rain visualization in chunks polluted with sulfur (thanks to seba0456pl)
+ implemented: configurable negative effects for each pollutant (thanks to dragonshardz)
+ replaced: "soilImpactThreshold" and "waterImpactThreshold" parameters with a single "acidRainThreshold" parameter
* __requires: ForgeEndertech 4.4.16.0 or above__

## 1.0.7.0
+ added: support for Immersive Vehicles (Minecraft Transport Simulator) (thanks to largestbomb78)
+ added: support for Buildcraft's engines
+ added: Polish translation (thanks to seba0456pl)

## 1.0.6.0
+ added: support for Thermal Expansion's dynamos (thanks to JCubas029963)
+ added: IFilter interface for add-ons to create custom filters (thanks to ItHurtsLikeHell)
+ implemented: HWYLA/WAILA integration and better tooltips for filters

## 1.0.5.0
* improved: pollution spreading algorithm
* fixed: emissions not passing through fences and iron bars (thanks to cybergod47)
* fixed: emissions getting stuck between torches and levers
* fixed: dust not affecting water and getting stuck under it
* __requires: ForgeEndertech 4.4.15.0 or above__

## 1.0.4.0
+ added: support for Dynamic Trees (thanks to cybergod47)  
+ added: a new command: </pother list emitters>
+ added: support for Immersive Tech (thanks to trygve5554590)
+ added: missing config for IE Crusher
* __requires: ForgeEndertech 4.4.14.0 or above__

## 1.0.3.0
+ added: a new command: </pother test influence> to check the effect of a particular pollutant on the specified block 
+ added: a new command: </pother recalc> to recalculate chunk pollution if it is incorrect
* optimized: saving, storing and synchronizing of pollution data
* fixed: incorrect saving of pollution data in different dimensions (thanks to sirmcthulu)
* fixed: aerometer showing needles for non-existent pollutants in the chunk 
* fixed: sulfur not affecting tall grass
* __requires: ForgeEndertech 4.4.12.0 or above__

## 1.0.2.0
+ added: compatibility with Weather2 wind (thanks to CynicalBrat and Corosus)
* __requires: ForgeEndertech 4.4.11.0 or above__

## 1.0.1.0
+ added: separate config parameters to control the impact of pollution on grass and leaves (thanks to golrith)
+ added: "canAffectSoil" config parameter for dust emissions
* fixed: dust turning farmland into grass path instead of coarse dirt

## 1.0.0.1
* fixed: sulfur not affecting plants and leaves
* fixed: negative effects of sulfur not working in desert and snowy biomes (thanks to golrith)
* fixed: absorption of pollution by filter through its solid sides
* fixed: filling the respirator with sulfur even when the player is in a safe place
* changed: default value of "customReplacements" parameter to convert stone to cobblestone in the acid rain
* __requires: ForgeEndertech 4.4.10.0 or above__

## 1.0.0.0
+ implemented: compatibility with Baubles (thanks to Seth0067 and dragonshardz)
+ added: support for Tinkers' Complement (thanks to serialtasted)
+ added: support for Gregtech Community Edition (thanks to meiseside and LordPINE) 
+ extended: cleaning mechanics of vacuum bags and compatible respirators (thanks to xorbah)
* reworked: IStorage interface (all add-ons must be updated)
* fixed: respirator and vacuum bag models to fit the player when wearing over armor
* fixed: incorrect estimated time of the Respiration effect
* __it is recommended to delete old configs from the Respirators folder__
* __requires: ForgeEndertech 4.4.9.0 or above__

## 0.9.9.0
+ implemented: water pollution from sulfur when it's raining (thanks to ElectroBot, Ignacium_, spleen_vitals and xorbah)
+ added: support for Mekanism Generators (thanks to meiseside)
+ added: support for FunOres (thanks to Jake1702_)
+ added: missing config for IE Alloy Kiln (thanks to duncan9322)
+ added: missing config for Mekanism Crusher (thanks to Arkman57571737) 
+ added: command /pother test emitter, for quick testing custom emitters (thanks to shandoo573)
+ added: "waterImpactThreshold" config parameter for sulfur
* fixed: incorrect health reduction for animals born in polluted chunk
* fixed: some living entities being not affected by pollution
* __requires: ForgeEndertech 4.4.8.0 or above__

## 0.9.8.1
* fixed: server startup crash with java.lang.NoClassDefFoundError (thanks to danny_djdk)
* fixed: an issue where the vacuum bag lost its enchantments after being cleaned

## 0.9.8.0
+ added: missing config for Mr.Crayfish's fire pit (thanks to Ghost8909)
+ implemented: vacuum bag cleaning by replacing wool blocks on an anvil (thanks to lemurboy072)
+ implemented: vacuum bag wear-out (thanks to duncan9322)
+ implemented: emission leakage from worn-out vacuum bag
+ improved: acid rain (sulfur affects entities only when they are in the rain) (thanks to xorbah)
* improved: performance of random updates
* fixed: not working custom replacements for sulfur (thanks to golrith)
* changed: opacity of carbon and sulfur blocks to 0, cause it broke the results of canSeeSky and isRainingAt methods
* reduced: criticalAmount value from 1000 to 512 for all pollutants
- removed: ridiculous "cloudHorizGrowthRate" parameter
* __requires: ForgeEndertech 4.4.7.0 or above__

## 0.9.7.0
+ added: support for Railcraft (thanks to mackoka3)
+ added: "soilImpactThreshold" and "customReplacements" parameters for sulfur (thanks to golrith)
+ added: fuel definition for Block of Coal Coke
+ added: support for Minecart with Furnace
* improved: synchronization of flying emissions with clients
* changed: some fuel IDs to ore dictionary names
* changed: names of some fuel configs to more understandable ones
* changed: configs for PrimalCore lanters to use properties instead of metadata
* fixed: an issue where flying emissions overlapped each other when stuck in a chimney pipe
* fixed: an issue where incorrect emission values would be saved to configs after changing the global rate
* fixed: an issue where a source would emit only one type of pollution
* __requires: ForgeEndertech 4.4.6.0 or above__

## 0.9.6.0
+ added: missing config for IC2 Thermal Centrifuge
+ added: missing config for TechReborn Industrial Sawmill
+ added: fading redstone signal from the filter to control the pump (thanks to duncan9322)
+ added: missing config option for emissions from fire (thanks to spleen_vitals)
+ added: ability to use block properties instead of metadata in configs (thanks to OreCruncher)
* changed: names of some configs for emitters to more understandable ones
* replaced: multiple configs using metadata with single ones using block properties
* fixed: an issue where distant flying emissions were not being updated, getting stuck in the air
* fixed: an issue where unloaded entities continued to produce pollution 
* __delete old configs from the Emitters folder to avoid duplication with new ones__
* __requires: ForgeEndertech 4.4.5.0 or above__

## 0.9.5.0
+ added: ability to set entities as emitters via custom configs
+ added: support for Immersive Railroading (thanks to TripOptic, thegraypenguin and DrakeBD)
+ added: support for IC2 exp (thanks to wormzjl)
+ added: limitations on the number of spawned emission entities for better performance
+ implemented: removing stuck emission entities after a certain amount of time
* changed: control for torches from switch to slider in config GUI (delete old adpother.cfg)
* reduced: emissions from explosions (delete old Sources/explosion.cfg)
* improved: scheduled emissions
* fixed: emission entities being stuck on impact when flying in different directions
* __requires: ForgeEndertech 4.4.4.0 or above__

## 0.9.4.0
+ added: "Emission Sources" config category for easier enabling/disabling emissions from the game menu (thanks to spleen_vitals)
+ added: "globalEmissionRate" slider for quick mod balancing from ingame config menu
+ added: dust emissions from explosions (delete old sources/explosion.cfg)
* moved: "emissionsFromTorches" config option to a separate category (delete old adpother.cfg)
* disabled: emissions from torches by default
* __requires: ForgeEndertech 4.4.3.0 or above__

## 0.9.3.0
+ added: support for Thaumcraft (thanks to xorbah)
+ added: support for Glenn's Gases (thanks to RodrigoTaipe93)
+ added: option "affectedByWind" to turn off/on spreading of pollution by wind (thanks to 8BrickDMG)
* improved: support for TechReborn
* __requires: ForgeEndertech 4.4.2.0 or above__

## 0.9.2.0
+ added: support for Mekanism
+ added: support for Better Boilers (thanks to golrith)
+ added: option "identityTag" for compatibility with blocks that use NBT to identify themselves (thanks to Jester5009)
* __requires: ForgeEndertech 4.4.2.0 or above__

## 0.9.1.0
+ added: option "passableBlocks" to define blocks that emission can pass through (thanks to lictor91)
* improved: soil pollution (pollution range now depends on pressure (height of the column of liquid pollutant)) (thanks to mackoka3)
* fixed: breaking of Tinkers' Smeltery when spawning emissions (thanks to KingNexes, OriginEssence and Goldobsidian)
* __requires: ForgeEndertech 4.4.1.0 or above__

## 0.9.0.1
* fixed: an issue where some solid blocks let the emissions to pass through (thanks to lictor91)
* fixed: crash with IllegalArgumentException: No enum constant (thanks to TheKakuzato and MazzoPowah)

## 0.9.0.0
+ added: a new block "Dust Emissions"
+ implemented: dust emissions from grinding/crushing machines (thanks to GAMEZENMASTER and RodrigoTaipe93)
+ implemented: soil pollution from spilled industrial fluids, such as oil, diesel, gasoline, etc. (thanks to mackoka3)
+ implemented: washing off dust in the rain
+ implemented: pollution of soil from sulfur only when it rains
+ renamed: "absorbtionByGrassChance" and "absorbtionByLeavesChance" config parameters to "absorbtionChance"
* fixed: sulfur emissions not being absorbed by farmland
* fixed: emissions being affected by wind only when in the clouds (thanks to florenceo251)
- removed: useless config parameters
* __it is recommended to delete old configs to clean up the mess with deprecated parameters__

## 0.8.7.0
+ added: support for IC2 Classic (thanks to Jams52)
+ added: support for ProjectE
+ added: support for Pam's HarvestCraft (thanks to ewallee)
+ added: support for MrCrayfish's Furniture Mod (thanks to lictor91)
+ added: "emissionsFromTorches" global config parameter
* moved: configs for torches to a separate folder (delete the old ones from emitters folder)

## 0.8.6.0
+ added: support for SimpleGrinder (thanks to lictor91)
+ added: support for Gadgetry (thanks to owqs)
* fixed: config for PrimalCore's hibachi (delete the old one to be recreated)

## 0.8.5.0
+ added: support for PrimalCore (thanks to lictor91)
+ added: support for Cooking for Blockheads
+ added: support for Giacomo's Foundry (thanks to xorbah)
* fixed: broken support for Better With Mods
* fixed: emissions from custom TileEntities with abnormal explosions
- removed: "explosive" parameter from emitter config

## 0.8.4.0
+ added: support for Carbon Floodlight (thanks to DonMegel)
+ added: support for TAN Campfire (thanks to lictor91)

## 0.8.3.0
+ added: the ability of sulfur to be absorbed by grass (thanks to duncan9322)
+ added: config option "absorbtionByGrassChance" for sulfur

## 0.8.2.1
* fixed: exponential growth of pollution clouds (thanks to duncan9322, danny_djdk, ewallee)
* fixed: flying emission bouncing back on impact
* improved: wind influence on pollution clouds

## 0.8.2.0
+ added: support for Steve's Carts coal engine
* fixed: Aerometer needles being not rendered with shaders enabled
* __requires: ForgeEndertech 4.4.0.0 or above__

## 0.8.1.0
+ added: config options dimensionWhiteList/dimensionBlackList (thanks to Alaberti and DraxxisMC)
+ added: config option "cloudGrowthRate" for cloud horizontal growth and spreading (thanks to horizonofevens)
* __requires: ForgeEndertech 4.3.21.0 or above__

## 0.8.0.1
* fixed: server crash with NoClassDefFoundError: net/minecraft/client/util/ITooltipFlag (thanks to InfernalSkys)

## 0.8.0.0
+ added: a new set of filter blocks, which can be connected to the chimneys (thanks to funfight22)
* reduced: the capacity of vacuum bags for better balance (old configs should be deleted to take effect)
* __requires: ForgeEndertech 4.3.20.0 or above__

## 0.7.9.2
* fixed: broken support for Immersive Engineering Blast Furnace
* fixed: emissions passing through the slabs
* reduced: value of the parameter "criticalAmount" to 1000 for both sulfur and carbon (it is necessary to delete old configs to take effect) 

## 0.7.9.1
+ added: "absorbtionByLeavesChance" config option for carbon
* fixed: carbon not being absorbed by tree leaves (thanks to LiEyWe49429)

## 0.7.9.0
+ implemented: carbon emissions from animals and players (after death, after being well-fed)
* fixed: animals poisoned by pollution, refusing to die
* fixed: stuck emission entities update interval for better performance
* improved: performance by limiting emission entities spawning rate per tick
* renamed: Sources/lava.cfg to lava_mixing_water.cfg

## 0.7.8.0
+ implemented: breakable Aerometer
* fixed: Immersive Engineering Diesel Generator blowing up (thanks to Alaberti)
* fixed: transparent textures on respirator and vacuum bag models
* fixed: console spam about missing textures
* moved: shared textures to the lib
* changed: model format from vanilla to forge
* __requires: ForgeEndertech 4.3.19.0 or above__ 

## 0.7.7.1
* fixed: IllegalStateException: CauseStackManager called from off main thread (thanks to codydbgt)

## 0.7.7.0
+ added: support for SpongeForge (thanks to codydbgt)
+ added: "grassReplacement" config option for sulfur emissions (thanks to DonMegel and Dulciphi)
* set: default "lightOpacity" of each pollutant to 0 for significant performance boost (delete old carbon.cfg and sulfur.cfg or edit them manually)
* improved: performance by using IWorldEventListener instead of custom hook
- disabled: pre-generation, cause it breaks pollution counting and produces lags (until a better solution is found)
* __requires: ForgeEndertech 4.3.17.0 or above__ 

## 0.7.6.0
+ added: support for SBM-BoneTorch
+ added: support for Mekanism (thanks to TheBlueSavior)
+ added: "activeStateTag" parameter to check if the emitter is an active tile entity (thanks to Proxy_Player)
+ added: missed support for Mystical Agriculture Miner's Torch
+ added: missed support for Tinkers Construct Stone Torch
+ implemented: receiving random update ticks for all registered emitters (thanks to azista86)
* __requires: ForgeEndertech 4.3.16.0 or above__

## 0.7.5.0
+ added: support for RFTools Coal Generator (thanks to flytre7)
+ added: support for Better With Mods (thanks to xorbah)
+ added: profiler sections for measuring performance
* improved: performance by reducing the number of block updates and spawned entities (thanks to DonMegel)
* __requires: ForgeEndertech 4.3.15.0 or above__

## 0.7.4.1
* fixed: dedicated server crash with NoSuchMethodError: IBlockAccess.getBiome(pos) (thanks to kwpugh)
* fixed: broken "walkableClouds" option  

## 0.7.4.0
+ added: support for TechReborn furnaces (thanks to VrorK)
+ added: support for Immersive Craft (thanks to Sithalo91059)
* fixed: fuel configs for Mystical Agriculture 
* __requires: ForgeEndertech 4.3.14.0 or above__

## 0.7.3.0
+ added: asynchronous timers for better performance of periodic updates
+ added: "canAffectPlants" config option (thanks to sk8er173)
+ added: "canSpreadAround" and "canSpreadOverLedge" options for boosting performance (thanks to DonMegel) 
+ implemented: gradual emissions to prevent "nuclear" explosions when using highly concentrated fuels (thanks to Ilvrak)
* improved: interaction with nearby plants (thanks to DonMegel)
* __requires: ForgeEndertech 4.3.13.0 or above__

## 0.7.2.0
+ added: support for Tinkers Construct (thanks to Sithalo91059)
+ added: "enabled" option for all biome configs so that they don't override the default one (thanks to DonMegel)
* __requires: ForgeEndertech 4.3.12.0 or above__

## 0.7.1.0
+ added: "explosive" parameter to emitter config
+ added: instant "blindness" effect on direct contact with sulfur emissions
+ implemented: full set of config options for each biome (Alaberti and DonMegel)
- removed: passive ventilation for the sake of performance
* replaced: globalEmissionRate parameter with emisionRate for each biome
* optimized: emissions from configurable sources
* fixed: generation of "phantom" blocks on the client side from dropped itemstack
* __requires: ForgeEndertech 4.3.11.0 or above__

## 0.7.0.2
* fixed(hopefully): StackOverflow exception (thanks to darkphan, VrorK and DonMegel)

## 0.7.0.1
* improved: spread of emissions by wind
* fixed: some issues with spreading algorithm
* fixed(probably): StackOverflow exception while updating neighbours (thanks to darkphan and danny_djdk)

## 0.7.0.0
+ added: new voxel models for vacuum tubes and aerometer
+ added: new set of vacuum bags with different capacity
+ added: new set of respirators with different durability 
+ added: operational sounds for vacuum tubes
+ added: speed config option for vacuum tubes
* improved: emissions spreading algorithm
* changed: recipes for bags and respirators (please delete old configs)
* replaced: air pollution meter with aerometer
* tweaked: the speed of all vacuum tubes
* fixed: respiration effect being not updated on clean chunks
* fixed: accidental gas explosions when spreading
* __requires: ForgeEndertech 4.3.10.0 or above__

## 0.6.1.0
+ added: a new voxel model for the Vacuum Bag (thanks to Seth0067)
+ implemented: emissions when lava touches water (thanks to Caedus_Renegade)
* changed: cleaning mechanics (vacuum bag should be worn as armor to operate with the tube)
* changed: vacuum bag capacity and recipe (please delete old config)
* optimized: emissions spreading algorithm
* improved: tooltips
* fixed: scale and textures of respirator model
* __requires: ForgeEndertech 4.3.9.0 or above__

## 0.6.0.1
* fixed: sulfur emissions eating dirt blocks along with grass (thanks to Ilvrak)
* fixed: incorrect indication of durability for respirators of third-party mods
* fixed: plants eating carbon even when they needn't to
* fixed: some issues with emissions spreading

## 0.6.0.0
+ added: a new block - emissions of Sulfur Dioxide (thanks to DonMegel)
+ added: support for Gaspunk respirator and TechGuns gas masks (thanks to drabenjises)
+ added: option "durabilityMultiplier" for respirators to balance them

* changed: carbon texture color to comply with vanilla palette (thanks to Seth0067)
* changed: config option "fuel efficiency" to "emission amount" for easier calculations
* changed: carbon behavior (now carbon helps plants grow, not kills them) (thanks to Sirithil)

* improved: gradation of transparency for carbon and sulfur emissions
* improved: respirator model to use vanilla textures instead of its own

* rebalanced: emissions for all fuels (thanks to Caedus_Renegade)
* renamed: config option from "pollutionGrowthRate" to "globalEmissionRate"

* fixed: crash when a furnace explodes 

* __requires: ForgeEndertech 4.3.7.0 or above__

## 0.5.2.0
+ added: support for a bunch of new fuels (thanks to VrorK)
+ added: Charcoal and Block of Charcoal fuels
+ added: Actually Additions fuels
+ added: Advanced Rocketry fuels
+ added: Calculator fuels
+ added: EvilCraft fuels
+ added: ExtraUtils 2 fuels
+ added: Mystical Agriculture fuels
+ added: support for Composite Gear respirators
* fixed: carbon getting stuck under the ledges (thanks to DonMegel)
* fixed: carbon getting stuck on torches
* fixed: coal block fuel efficiency (delete old coal_block.cfg)
* __requires: ForgeEndertech 4.3.6.0 or above__

## 0.5.1.0
+ implemented: active ventilation system using vents and pumps from Advanced Chimneys (thanks to VrorK and DonMegel)
 * __requires: ForgeEndertech 4.3.5.0 or above__

## 0.5.0.0
+ added: support for Immersive Engineering (thanks to DonMegel)
+ added: a configurable support for respirators from third-party mods
+ added: respiration effect with a fancy icon and approximate lifetime indication
+ added: inability to eat or drink while wearing a respirator
+ implemented: passive ventilation system using Advanced Chimneys ducts (thanks to DonMegel)
* changed: critical carbon amount per chunk from 2560 to 1600 (delete old carbon.cfg)
* changed: respirator durability from 3600 to 1200 (delete old leafy_respirator.cfg)
* __requires: ForgeEndertech 4.3.4.0 or above__

## 0.4.4.0
+ implemented: auto-generation of configs for all registered biomes
* __requires: ForgeEndertech 4.3.3.0 or above__ 

## 0.4.3.0
+ added: support for More Furnaces
+ added: support for Mystical Agriculture
+ added: support for Realistic Torches

## 0.4.2.0
+ added: support for EnderIO Stirling Generator
* improved: air pollution meter texture and recipe
* fixed: coal block carbon efficiency

## 0.4.1.1
+ increased: vacuum bag capacity from 128 to 256

## 0.4.1.0
+ added: a brand new 3d model for the respirator
+ added: breath sound when putting on the respirator

## 0.4.0.0
+ added: new nice textures for the vacuum tubes and a vacuum bag
+ implemented: emission spreading around when is about to be replaced by another solid block
+ implemented: falling down of the emissions that higher than the concentration level 
+ implemented: emission generation from blocks burnt in fire
* improved: cloud generation around concentration level
* improved: recipes for vacuum tubes
* fixed: emissions passing through stairs
* fixed: HWYLA empty tooltips for emissions
* fixed: flickering of the emission entity while inside a chimney

## 0.3.1.0
* improved: ability to push emissions by hand

## 0.3.0.0
+ added: compatibility with updated AdChimneys mod and its conductors
+ added: Vacuum Bag item
+ added: Iron Vacuum Tube (slow)
+ added: Golden Vacuum Tube (normal)
+ added: Diamond Vacuum Tube (fast)
+ implemented: crafting recipes for Vacuum Bag and Vacuum Tubes
+ implemented: ability to push emissions by hand
+ implemented: spreading on drop and inventory storing
* fixed: panes being connected with emissions
* fixed: harvest particles being spawned when clicking emission block

## 0.2.2.0
+ implemented: carbon emissions from explosions

## 0.2.1.0
+ implemented: pollution clouds are affected by wind and spread around
+ implemented: only blocks within cloud height bounds affects pollution level (necessary for carbon capture and storage)
* improved: init classes
* improved: pollution entity renderer and its performance
* fixed: pollution entity not aligned start position which blocked further absorption
* fixed: air pollutants passing through stained glass

## 0.2.0.0
+ added: air pollution meter
+ implemented: plants and crops dying on polluted lands
+ implemented: config system for custom pollution emitters
* improved: respirator no longer disappears when broken and can be repaired with leaves
* improved: carbon pregeneration switched to "clouds" algorithm
* improved: config system (necessary to delete the old ones)
* fixed: cleaning pollution info cache on server loading
* fixed: registration of leafy material
* fixed: incorrect respirator armor characteristics
- removed: useless scrubber

## 0.1.1.0
+ added: biome related pollution pregeneration mechanics with custom configs
+ added: "aboveVillageAmount" config parameter to pregenerate pollution over the villages
* improved: pollution clouds generation algorithm
* improved: vacuum cleaner exhausting speed
* fixed: hostile mobs being affected by pollution
* fixed: hunger effect being missed
* fixed: inaccurate pollution counting
* fixed: broken colorSky option
* fixed: invalid behavior of pollution entities
* fixed: player being affected by pollution in creative or observer mode

## 0.1.0.0
+ added: respirator item for protection from negative pollution effects
+ added: vacuum cleaner item for manual pollution cleaning
+ added: scrubber item for removing pollution blocks
+ implemented: graded negative effects for living entities being located in the polluted chunk
+ implemented: graded negative effects for living entities contacting with the pollutant blocks
+ implemented: gradual pollution cleaning mechanics by planting of trees
+ implemented: plants growing reduction mechanics
+ implemented: pollution info synchronization with clients
+ implemented: new algorithm for generating of the pollution clouds 
- removed: useless analyzer

## 0.0.4.0
+ added: smog effect
+ added: smog color config parameter
+ added: light opacity of carbon blocks and config parameter for it
* fixed: incorrect pollution counting while spreading

## 0.0.3.0
+ implemented: explosion mechanics if generated carbon has no space to spread
+ improved: pollution spreading algorithms
+ added: carbon density levels (light, medium & heavy)
+ added: support for ActuallyAdditions Double Furnace and Coal Generator
+ added: support for Advanced Chimneys
+ added: debug command
+ added: base health reduction for animals born in heavy polluted chunk
+ fixed: spreading through solid blocks

## 0.0.2.0
+ implemented: new system of carbon blocks generation with flight animation
+ implemented: world pollution data saving
+ implemented: config system for the fuels with custom user configs support
+ added: all vanilla fuels support
+ added: pollutionGrowthRate config parameter for server customization
+ added: new command with tasks (/pother <task>. Tasks: add, clean, info)

## 0.0.1.0
+ implemented: carbon blocks generation as the pollution increases
+ added: vanilla furnace support
+ added: coal & charcoal fuels
