* TODO: add support for TechReborn(generators) and Thermal Expansion(??) (VrorK)
* TODO: add support for Thaumcraft(no src), Giacomo's Foundry(no src), "Charcoal Pit" mods. (xorbah)
* TODO: emissions from smelting (Caedus_Renegade)
* TODO: broken bag leaking emissions
* TODO: smooth pollution level changing when traveling between chunks
* TODO: emissions from animals and players
* TODO: add acid rains in chunks polluted with sulfur
* TODO: add negative effects after sleeping in polluted chunk without protection
* TODO: fix transparent textures on respirator and vacuum bag models

## 0.7.7.0
+ added: support for SpongeForge (thanks to codydbgt)
+ added: "grassReplacement" config option for sulfur emissions (thanks to DonMegel and Dulciphi)
* set: default "lightOpacity" of each pollutant to 0 for significant performance boost (delete old carbon.cfg and sulfur.cfg or edit them manually)
* improved: performance by using IWorldEventListener instead of custom hook
- disabled: pre-generation, cause it breaks pollution counting and produces lags (until a better solution is found)
* __requires: ForgeEndertech 4.3.17.0 or above__ 

## 0.7.6.0
+ added: support for SBM-BoneTorch
+ added: support for Mekanism (thanks to TheBlueSavior)
+ added: "activeStateTag" parameter to check if the emitter is an active tile entity (thanks to Proxy_Player)
+ added: missed support for Mystical Agriculture Miner's Torch
+ added: missed support for Tinkers Construct Stone Torch
+ implemented: receiving random update ticks for all registered emitters (thanks to azista86)
* __requires: ForgeEndertech 4.3.16.0 or above__

## 0.7.5.0
+ added: support for RFTools Coal Generator (thanks to flytre7)
+ added: support for Better With Mods (thanks to xorbah)
+ added: profiler sections for measuring performance
* improved: performance by reducing the number of block updates and spawned entities (thanks to DonMegel)
* __requires: ForgeEndertech 4.3.15.0 or above__

## 0.7.4.1
* fixed: dedicated server crash with NoSuchMethodError: IBlockAccess.getBiome(pos) (thanks to kwpugh)
* fixed: broken "walkableClouds" option  

## 0.7.4.0
+ added: support for TechReborn furnaces (thanks to VrorK)
+ added: support for Immersive Craft (thanks to Sithalo91059)
* fixed: fuel configs for Mystical Agriculture 
* __requires: ForgeEndertech 4.3.14.0 or above__

## 0.7.3.0
+ added: asynchronous timers for better performance of periodic updates
+ added: "canAffectPlants" config option (thanks to sk8er173)
+ added: "canSpreadAround" and "canSpreadOverLedge" options for boosting performance (thanks to DonMegel) 
+ implemented: gradual emissions to prevent "nuclear" explosions when using highly concentrated fuels (thanks to Ilvrak)
* improved: interaction with nearby plants (thanks to DonMegel)
* __requires: ForgeEndertech 4.3.13.0 or above__

## 0.7.2.0
+ added: support for Tinkers Construct (thanks to Sithalo91059)
+ added: "enabled" option for all biome configs so that they don't override the default one (thanks to DonMegel)
* __requires: ForgeEndertech 4.3.12.0 or above__

## 0.7.1.0
+ added: "explosive" parameter to emitter config
+ added: instant "blindness" effect on direct contact with sulfur emissions
+ implemented: full set of config options for each biome (Alaberti and DonMegel)
- removed: passive ventilation for the sake of performance
* replaced: globalEmissionRate parameter with emisionRate for each biome
* optimized: emissions from configurable sources
* fixed: generation of "phantom" blocks on the client side from dropped itemstack
* __requires: ForgeEndertech 4.3.11.0 or above__

## 0.7.0.2
* fixed(hopefully): StackOverflow exception (thanks to darkphan, VrorK and DonMegel)

## 0.7.0.1
* improved: spread of emissions by wind
* fixed: some issues with spreading algorithm
* fixed(probably): StackOverflow exception while updating neighbours (thanks to darkphan and danny_djdk)

## 0.7.0.0
+ added: new voxel models for vacuum tubes and aerometer
+ added: new set of vacuum bags with different capacity
+ added: new set of respirators with different durability 
+ added: operational sounds for vacuum tubes
+ added: speed config option for vacuum tubes
* improved: emissions spreading algorithm
* changed: recipes for bags and respirators (please delete old configs)
* replaced: air pollution meter with aerometer
* tweaked: the speed of all vacuum tubes
* fixed: respiration effect being not updated on clean chunks
* fixed: accidental gas explosions when spreading
* __requires: ForgeEndertech 4.3.10.0 or above__

## 0.6.1.0
+ added: a new voxel model for the Vacuum Bag (thanks to Seth0067)
+ implemented: emissions when lava touches water (thanks to Caedus_Renegade)
* changed: cleaning mechanics (vacuum bag should be worn as armor to operate with the tube)
* changed: vacuum bag capacity and recipe (please delete old config)
* optimized: emissions spreading algorithm
* improved: tooltips
* fixed: scale and textures of respirator model
* __requires: ForgeEndertech 4.3.9.0 or above__

## 0.6.0.1
* fixed: sulfur emissions eating dirt blocks along with grass (thanks to Ilvrak)
* fixed: incorrect indication of durability for respirators of third-party mods
* fixed: plants eating carbon even when they needn't to
* fixed: some issues with emissions spreading

## 0.6.0.0
+ added: a new block - emissions of Sulfur Dioxide (thanks to DonMegel)
+ added: support for Gaspunk respirator and TechGuns gas masks (thanks to drabenjises)
+ added: option "durabilityMultiplier" for respirators to balance them

* changed: carbon texture color to comply with vanilla palette (thanks to Seth0067)
* changed: config option "fuel efficiency" to "emission amount" for easier calculations
* changed: carbon behavior (now carbon helps plants grow, not kills them) (thanks to Sirithil)

* improved: gradation of transparency for carbon and sulfur emissions
* improved: respirator model to use vanilla textures instead of its own

* rebalanced: emissions for all fuels (thanks to Caedus_Renegade)
* renamed: config option from "pollutionGrowthRate" to "globalEmissionRate"

* fixed: crash when a furnace explodes 

* __requires: ForgeEndertech 4.3.7.0 or above__

## 0.5.2.0
+ added: support for a bunch of new fuels (thanks to VrorK)
+ added: Charcoal and Block of Charcoal fuels
+ added: Actually Additions fuels
+ added: Advanced Rocketry fuels
+ added: Calculator fuels
+ added: EvilCraft fuels
+ added: ExtraUtils 2 fuels
+ added: Mystical Agriculture fuels
+ added: support for Composite Gear respirators
* fixed: carbon getting stuck under the ledges (thanks to DonMegel)
* fixed: carbon getting stuck on torches
* fixed: coal block fuel efficiency (delete old coal_block.cfg)
* __requires: ForgeEndertech 4.3.6.0 or above__

## 0.5.1.0
+ implemented: active ventilation system using vents and pumps from Advanced Chimneys (thanks to VrorK and DonMegel)
 * __requires: ForgeEndertech 4.3.5.0 or above__

## 0.5.0.0
+ added: support for Immersive Engineering (thanks to DonMegel)
+ added: a configurable support for respirators from third-party mods
+ added: respiration effect with a fancy icon and approximate lifetime indication
+ added: inability to eat or drink while wearing a respirator
+ implemented: passive ventilation system using Advanced Chimneys ducts (thanks to DonMegel)
* changed: critical carbon amount per chunk from 2560 to 1600 (delete old carbon.cfg)
* changed: respirator durability from 3600 to 1200 (delete old leafy_respirator.cfg)
* __requires: ForgeEndertech 4.3.4.0 or above__

## 0.4.4.0
+ implemented: auto-generation of configs for all registered biomes
* __requires: ForgeEndertech 4.3.3.0 or above__ 

## 0.4.3.0
+ added: support for More Furnaces
+ added: support for Mystical Agriculture
+ added: support for Realistic Torches

## 0.4.2.0
+ added: support for EnderIO Stirling Generator
* improved: air pollution meter texture and recipe
* fixed: coal block carbon efficiency

## 0.4.1.1
+ increased: vacuum bag capacity from 128 to 256

## 0.4.1.0
+ added: a brand new 3d model for the respirator
+ added: breath sound when putting on the respirator

## 0.4.0.0
+ added: new nice textures for the vacuum tubes and a vacuum bag
+ implemented: emission spreading around when is about to be replaced by another solid block
+ implemented: falling down of the emissions that higher than the concentration level 
+ implemented: emission generation from blocks burnt in fire
* improved: cloud generation around concentration level
* improved: recipes for vacuum tubes
* fixed: emissions passing through stairs
* fixed: HWYLA empty tooltips for emissions
* fixed: flickering of the emission entity while inside a chimney

## 0.3.1.0
* improved: ability to push emissions by hand

## 0.3.0.0
+ added: compatibility with updated AdChimneys mod and its conductors
+ added: Vacuum Bag item
+ added: Iron Vacuum Tube (slow)
+ added: Golden Vacuum Tube (normal)
+ added: Diamond Vacuum Tube (fast)
+ implemented: crafting recipes for Vacuum Bag and Vacuum Tubes
+ implemented: ability to push emissions by hand
+ implemented: spreading on drop and inventory storing
* fixed: panes being connected with emissions
* fixed: harvest particles being spawned when clicking emission block

## 0.2.2.0
+ implemented: carbon emissions from explosions

## 0.2.1.0
+ implemented: pollution clouds are affected by wind and spread around
+ implemented: only blocks within cloud height bounds affects pollution level (necessary for carbon capture and storage)
* improved: init classes
* improved: pollution entity renderer and its performance
* fixed: pollution entity not aligned start position which blocked further absorption
* fixed: air pollutants passing through stained glass

## 0.2.0.0
+ added: air pollution meter
+ implemented: plants and crops dying on polluted lands
+ implemented: config system for custom pollution emitters
* improved: respirator no longer disappears when broken and can be repaired with leaves
* improved: carbon pregeneration switched to "clouds" algorithm
* improved: config system (necessary to delete the old ones)
* fixed: cleaning pollution info cache on server loading
* fixed: registration of leafy material
* fixed: incorrect respirator armor characteristics
- removed: useless scrubber

## 0.1.1.0
+ added: biome related pollution pregeneration mechanics with custom configs
+ added: "aboveVillageAmount" config parameter to pregenerate pollution over the villages
* improved: pollution clouds generation algorithm
* improved: vacuum cleaner exhausting speed
* fixed: hostile mobs being affected by pollution
* fixed: hunger effect being missed
* fixed: inaccurate pollution counting
* fixed: broken colorSky option
* fixed: invalid behavior of pollution entities
* fixed: player being affected by pollution in creative or observer mode

## 0.1.0.0
+ added: respirator item for protection from negative pollution effects
+ added: vacuum cleaner item for manual pollution cleaning
+ added: scrubber item for removing pollution blocks
+ implemented: graded negative effects for living entities being located in the polluted chunk
+ implemented: graded negative effects for living entities contacting with the pollutant blocks
+ implemented: gradual pollution cleaning mechanics by planting of trees
+ implemented: plants growing reduction mechanics
+ implemented: pollution info synchronization with clients
+ implemented: new algorithm for generating of the pollution clouds 
- removed: useless analyzer

## 0.0.4.0
+ added: smog effect
+ added: smog color config parameter
+ added: light opacity of carbon blocks and config parameter for it
* fixed: incorrect pollution counting while spreading

## 0.0.3.0
+ implemented: explosion mechanics if generated carbon has no space to spread
+ improved: pollution spreading algorithms
+ added: carbon density levels (light, medium & heavy)
+ added: support for ActuallyAdditions Double Furnace and Coal Generator
+ added: support for Advanced Chimneys
+ added: debug command
+ added: base health reduction for animals born in heavy polluted chunk
+ fixed: spreading through solid blocks

## 0.0.2.0
+ implemented: new system of carbon blocks generation with flight animation
+ implemented: world pollution data saving
+ implemented: config system for the fuels with custom user configs support
+ added: all vanilla fuels support
+ added: pollutionGrowthRate config parameter for server customization
+ added: new command with tasks (/pother <task>. Tasks: add, clean, info)

## 0.0.1.0
+ implemented: carbon blocks generation as the pollution increases
+ added: vanilla furnace support
+ added: coal & charcoal fuels
